|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QConstString Class Reference
[QtCore module]

The QConstString class is a wrapper for constant Unicode string data. More...

     #include <QConstString>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits QString.

- List of all members, including inherited members
- Qt 3 support members

### Additional Inherited Members

- 174 public functions inherited from QString
- 22 static public members inherited from QString

## Detailed Description

The QConstString class is a wrapper for constant Unicode string data.

In Qt 4, QConstString is replaced by QString::fromRawData(), a static function that constructs a QString object based on Unicode string data.

Because QString::fromRawData() has slightly more stringent constranints than QConstString had in Qt 3, the new QConstString class takes a deep copy of the string data.

See also QString::fromRawData().

## Member Function Documentation

### QConstString::QConstString ( const QChar * unicode, int size )

Use QString(unicode, size) or QString::fromRawData(unicode, size) instead.

### const QString & QConstString::string () const

Returns `*this`. Not necessary in Qt 4.